Interlaken
API referenceApplicationsDeploy servers

Get a deploy server's dashboard URL, API base URL, root credentials, API token, and worker id — read after status is ready

GET
/api/v1/deploy-servers/{id}/credentials

Requires the deploy_servers:read permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/deploy-servers/string/credentials"
{  "api_base_url": "string",  "api_token": "string",  "dashboard_url": "string",  "registry_host": "string",  "root_email": "string",  "root_password": "string",  "wildcard_domain": "string",  "worker_microvm_id": "string"}